#pragma once

#include "projectfilesystemplugin_global.h"
#include "projectfilesystemwidgetplugin.h"

#include <extensionsystem/iplugin.h>

namespace ProjectFilesystemPlugin {
	namespace Internal {

		class ProjectFilesystemPluginPlugin : public ExtensionSystem::IPlugin
		{
			Q_OBJECT
			Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QtCreatorPlugin" FILE "ProjectFilesystemPlugin.json")

		public:
			ProjectFilesystemPluginPlugin();
			~ProjectFilesystemPluginPlugin();

			bool initialize(const QStringList &arguments, QString *errorString);
			void extensionsInitialized();
			ShutdownFlag aboutToShutdown();

		private:
			void triggerAction();
		};

	} // namespace Internal
} // namespace ProjectFilesystemPlugin
